
package de.ivu.elect.business.anschrift.entity;

public abstract class AbstractAnschrift implements AnschriftBase {

  private static final long serialVersionUID = 1L;

  public static final int PLZ_DEFAULT_LENGTH = 5;

  public AbstractAnschrift() {
    super();
  }

  public boolean isHauptwohnung() {
    return hasAnschriftArt(AnschriftArt.HAUPTWOHNUNG);
  }

  public boolean isNebenwohnung() {
    return hasAnschriftArt(AnschriftArt.NEBENWOHNUNG);
  }

  public boolean isErreichbarkeitsanschrift() {
    return hasAnschriftArt(AnschriftArt.ERREICHBARKEITSANSCHRIFT);
  }

  private boolean hasAnschriftArt(AnschriftArt anschriftArt) {
    return anschriftArt.equals(getAnschriftArt());
  }
}
